LR_XML2DBX(1)

NAME
lr_xml2dbx - generate a DocBook XML report from a raw XML report

SYNOPSIS
lr_xml2dbx [options] file

OPTIONS

-i  Generate charts of subreport which have the charttype attribute defined, by running lr_xml2png(1).

DESCRIPTION
lr_xml2dbx reads a raw xml report from file file, and prints a a DocBook XML report on STDOUT. It uses the LR_ID environment variable in debug messages it prints to STDOUT. It expects to find lr_xml2png(1) in it's PATH.

When used with the -i option, lr_xml2dbx will output on stdout a tar file. This tar file contains a report/ directory with a DocBook XML report called report.dbx and the charts in PNG format.

DocBook XML reports can then be typesets using customized stylesheets to typeset the reports with logo or other required layouts.

SEE ALSO
lr_dlf2xml(1), lr_xml2ascii(1), lr_dlf2pdf(1)

VERSION
$Id: lr_xml2dbx.pod,v 1.2 2001/10/18 19:13:16 flacoste Exp $

COPYRIGHT
Copyright (C) 2000-2001 Stichting LogReport Foundation LogReport@LogReport.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

AUTHOR
Francis J. Lacoste <flacoste@logreport.org>